<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
version="2.0"
xmlns:cat="http://www.saxonica.com/ns/doc/catalog">
<!-- Adds the title to catalog.xml so Saxon-CE does not need to read each document
     before showing the top-level of the table of contents -->
<xsl:template match="/*">
<xsl:copy>
<xsl:apply-templates/>
</xsl:copy>
</xsl:template>

<xsl:template match="cat:catalog/cat:section">
<xsl:if test="@ref ne 'index-entries'">
<xsl:copy>
<xsl:copy-of select="@ref"/>
<xsl:variable name="path" select="resolve-uri(concat(@ref,'.xml'),base-uri())"/>
<xsl:apply-templates select="doc($path)/section/title"/>
</xsl:copy>
</xsl:if>
</xsl:template>
</xsl:stylesheet>

